package chatRoom.server;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.Socket;
import java.util.Formatter;
import java.util.Scanner;

public class ClientHandler {
    private Socket socket;
//    private DataOutputStream dataOutputStream;
//    private DataInputStream dataInputStream;
    Scanner in;
    Formatter out;


    public ClientHandler(Socket client) throws Exception {
        if (client == null)
            throw new Exception("client can't be null");
        this.socket = client;
//        dataOutputStream = new DataOutputStream(client.getOutputStream());
//        dataInputStream = new DataInputStream(client.getInputStream());
        try(Scanner in = new Scanner(client.getInputStream());
            Formatter out = new Formatter(client.getOutputStream());){
            run();
        }

    }

    private void handleIncomingMessages(String message){
        System.out.println(message);

    }

        public void run() {
            while(true){
                String input = in.next() ;
                handleIncomingMessages(input);
            }
        }
    }