package chatRoom.server;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;

public class Server {

    private static final int PORT = 4321;
    private ServerSocket serverSocket;
    ArrayList<Socket> users = new ArrayList<>();

    public Server() throws IOException {
        serverSocket = new ServerSocket(PORT);
        while (true) {
            Socket client = serverSocket.accept();
            try {
                ClientHandler clientHandler = new ClientHandler(client);
            } catch (Exception e) {
                e.printStackTrace();
            }

        }
    }

}
